|  |  | The `show WHAT` Command

## The `show WHAT` Command

This command sends help information to the standard output according to its argument, one of: `datums`, `formats`, `help`, `projections`, `protocols`, `symbols`, `transfs`.

`show datums` prints the names of, and existing comments on the available datums.

`show formats` prints a table of the data file formats known to GPSMan and that can be used in other commands. An partial example of output is

    BGA:    Read     WP
     Parameters
            Read:
                    feature
                    findability
                    air_activity
    EasyGPS:        Read     WP
    Fugawi: Read     WP
    GD2:    Read     WP RT TR
    GPSMan: Read/Write       WP RT TR LN LAP GR Data
    GPStrans:       Read/Write       WP RT TR
    GPX:    Read/Write       WP RT TR Data
    GTrackMaker:    Read     WP RT TR Data
    IGC:    Read     TR
     Parameters
            Read:
                    alt     gps
    Kismet: Read     WP
     Parameters
            Read:
                    group   0
    KML:    Read     WP Data
            Write    WP RT TR Data

For each known format either there is an indication that the format is invalid (because, for instance, a library as missing or there is incompatibility with the receiver brand), or there is information on the possible read/write operations and item types which will be followed by "Data" if a file may contain items of different types. Parameters may appear followed by their default values if any.

`show help` prints the accepted commands and options.

`show projections` prints information on the available projections. For each projection there is the name to be used as argument to commands, a long name, and the list of accepted parameters. For each parameter the name to be used in a command, a type and a short explanation are given. An example of output is

    Stereogr:       Stereographic
      Parameters
            ?datum
            lat0    (lat)   Lat of centre
            long0   (long)  Long of centre
            k0      (float>0)       Scale factor

meaning that the stereographic projection should be spelt `Stereogr` in commands, may have a `datum=NAME` parameter, and must have 3 other parameters under the names `lat0`, `long0` and `k0`, respectively a latitude, a longitude and a positive floating-point number, standing for the coordinates of the centre of the projection and for the scale factor.

`show protocols` prints a list of known protocols that can be used with the `-prot` option. A possible list is

    Garmin (Garmin)
    Garmin_USB (Garmin)
    NMEA (Garmin)
    simul (Garmin)
    SText (Garmin)

showing at the end the receiver brand with which they must be used.

`show symbols` prints for each waypoint symbol the name to be used in commands followed by the name in the user-selected language.

`show transfs` prints the list of available coordinates transformations with their names to be used in commands and longer names.

|  |  | The `show WHAT` Command